<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: searchPathUtilities.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('search_path_utilities_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">searchPathUtilities.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for searchPathUtilities.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp__incl.png" border="0" usemap="#search_path_utilities_8hpp" alt=""/></div>
<map name="search_path_utilities_8hpp" id="search_path_utilities_8hpp">
<area shape="rect" title=" " alt="" coords="287,5,459,32"/>
<area shape="rect" title=" " alt="" coords="5,80,85,107"/>
<area shape="rect" title=" " alt="" coords="110,80,173,107"/>
<area shape="rect" title=" " alt="" coords="197,80,256,107"/>
<area shape="rect" title=" " alt="" coords="280,80,365,107"/>
<area shape="rect" title=" " alt="" coords="389,80,461,107"/>
<area shape="rect" title=" " alt="" coords="486,80,554,107"/>
<area shape="rect" title=" " alt="" coords="578,80,651,107"/>
<area shape="rect" title=" " alt="" coords="676,80,751,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp__dep__incl.png" border="0" usemap="#search_path_utilities_8hppdep" alt=""/></div>
<map name="search_path_utilities_8hppdep" id="search_path_utilities_8hppdep">
<area shape="rect" title=" " alt="" coords="350,5,522,32"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html" title=" " alt="" coords="5,80,256,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="362,155,510,196"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html" title=" " alt="" coords="330,80,542,107"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html" title=" " alt="" coords="567,80,753,107"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html" title=" " alt="" coords="777,80,1039,107"/>
</map>
</div>
</div>
<p><a href="search_path_utilities_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structident__type.html">ident_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac3caf8cc2926982436bf403dc2acec8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a">splitTokens</a> (const std::string &amp;str, std::vector&lt; std::string &gt; &amp;cont, char delim)</td></tr>
<tr class="separator:ac3caf8cc2926982436bf403dc2acec8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4731041361b0df9f731e6f0d9dcb2037"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a4731041361b0df9f731e6f0d9dcb2037">cutleadingNtrailingPattern</a> (std::string search_path, std::string pattern)</td></tr>
<tr class="separator:a4731041361b0df9f731e6f0d9dcb2037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65385cf4429f17bcbd1f4e78c4d50259"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259">replaceString</a> (std::string search_path, std::string origin, std::string replacement)</td></tr>
<tr class="separator:a65385cf4429f17bcbd1f4e78c4d50259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f05a8edd34e9bcd7e5ad6574dfb1747"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747">isSpace</a> (unsigned char c)</td></tr>
<tr class="separator:a4f05a8edd34e9bcd7e5ad6574dfb1747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b17eb6620c1c79a216b45cb08364b20"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; std::string, std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20">getElementOfJSONChainedDoc</a> (std::string JSONDocs)</td></tr>
<tr class="separator:a5b17eb6620c1c79a216b45cb08364b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22aa9d16f96c6693a4997b3c37d9c134"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134">getElementOfJSONAppendedDoc</a> (std::string JSONDocs)</td></tr>
<tr class="separator:a22aa9d16f96c6693a4997b3c37d9c134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ea64e50cd40d9c0b921a481e718740f"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; std::string, std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f">getElementPairsOfJSONArray</a> (std::string JSONarray)</td></tr>
<tr class="separator:a7ea64e50cd40d9c0b921a481e718740f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38a14ece7625a78b944e2fcdf17ef45b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b">getElementOfJSONArray</a> (std::string JSONarray)</td></tr>
<tr class="separator:a38a14ece7625a78b944e2fcdf17ef45b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05bc4046e38ba530ba7c938105aed5a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a05bc4046e38ba530ba7c938105aed5a4">checkNcreateDirectories</a> (std::string targetFile, std::string sourceFileFullPath)</td></tr>
<tr class="separator:a05bc4046e38ba530ba7c938105aed5a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eaa9e7803d69414d32130fee3c26789"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a6eaa9e7803d69414d32130fee3c26789">createTargetFilePath</a> (std::string sourceFileJson)</td></tr>
<tr class="separator:a6eaa9e7803d69414d32130fee3c26789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a152e2fff4bde021a57705e981df39a17"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17">createTargetFileNDirectory</a> (std::string targetfileJSON)</td></tr>
<tr class="separator:a152e2fff4bde021a57705e981df39a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7bdad1724b71001c5dd5c9b6d989bd"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd">createWorkingEnvironment</a> ()</td></tr>
<tr class="separator:a6f7bdad1724b71001c5dd5c9b6d989bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35040d624bbaf96a0baf54d0fffd1f8b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structident__type.html">ident_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b">getIdentificationOfObj</a> (std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt; val_inner_vec, std::string key)</td></tr>
<tr class="separator:a35040d624bbaf96a0baf54d0fffd1f8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a886e5cb3ce1bb6064aeac57f547f72"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structident__type.html">ident_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72">getIdentificationStruct</a> (std::vector&lt; std::string &gt; cur_vec, std::string key)</td></tr>
<tr class="separator:a3a886e5cb3ce1bb6064aeac57f547f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8053480525c9fdca9d9feabaf252b90c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c">getSWUnitRef</a> (std::string MDX_methimpl)</td></tr>
<tr class="separator:a8053480525c9fdca9d9feabaf252b90c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d2bb888b17259ef2c9d363504c742db"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::string, std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db">getDenominatorOrNumerator</a> (std::string MDX_methimpl)</td></tr>
<tr class="separator:a2d2bb888b17259ef2c9d363504c742db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a05bc4046e38ba530ba7c938105aed5a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05bc4046e38ba530ba7c938105aed5a4">&#9670;&nbsp;</a></span>checkNcreateDirectories()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void checkNcreateDirectories </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>targetFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>sourceFileFullPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_cgraph" id="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,188,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="236,5,331,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_icgraph" id="search_path_utilities_8hpp_a05bc4046e38ba530ba7c938105aed5a4_icgraph">
<area shape="rect" title=" " alt="" coords="496,5,679,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17" title=" " alt="" coords="252,5,448,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd" title=" " alt="" coords="5,5,204,32"/>
</map>
</div>

</div>
</div>
<a id="a152e2fff4bde021a57705e981df39a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a152e2fff4bde021a57705e981df39a17">&#9670;&nbsp;</a></span>createTargetFileNDirectory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; createTargetFileNDirectory </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>targetfileJSON</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_cgraph" id="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,201,57"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a05bc4046e38ba530ba7c938105aed5a4" title=" " alt="" coords="249,5,432,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6eaa9e7803d69414d32130fee3c26789" title=" " alt="" coords="263,56,418,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="480,31,575,57"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_icgraph" id="search_path_utilities_8hpp_a152e2fff4bde021a57705e981df39a17_icgraph">
<area shape="rect" title=" " alt="" coords="252,5,448,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd" title=" " alt="" coords="5,5,204,32"/>
</map>
</div>

</div>
</div>
<a id="a6eaa9e7803d69414d32130fee3c26789"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6eaa9e7803d69414d32130fee3c26789">&#9670;&nbsp;</a></span>createTargetFilePath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; createTargetFilePath </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>sourceFileJson</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_cgraph" id="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,160,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="208,5,303,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_icgraph" id="search_path_utilities_8hpp_a6eaa9e7803d69414d32130fee3c26789_icgraph">
<area shape="rect" title=" " alt="" coords="496,5,651,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17" title=" " alt="" coords="252,5,448,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd" title=" " alt="" coords="5,5,204,32"/>
</map>
</div>

</div>
</div>
<a id="a6f7bdad1724b71001c5dd5c9b6d989bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f7bdad1724b71001c5dd5c9b6d989bd">&#9670;&nbsp;</a></span>createWorkingEnvironment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; createWorkingEnvironment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a6f7bdad1724b71001c5dd5c9b6d989bd_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a6f7bdad1724b71001c5dd5c9b6d989bd_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a6f7bdad1724b71001c5dd5c9b6d989bd_cgraph" id="search_path_utilities_8hpp_a6f7bdad1724b71001c5dd5c9b6d989bd_cgraph">
<area shape="rect" title=" " alt="" coords="5,107,204,133"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17" title=" " alt="" coords="256,56,452,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="735,56,829,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8" title=" " alt="" coords="252,157,456,184"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a05bc4046e38ba530ba7c938105aed5a4" title=" " alt="" coords="504,5,687,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6eaa9e7803d69414d32130fee3c26789" title=" " alt="" coords="518,56,673,83"/>
</map>
</div>

</div>
</div>
<a id="a4731041361b0df9f731e6f0d9dcb2037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4731041361b0df9f731e6f0d9dcb2037">&#9670;&nbsp;</a></span>cutleadingNtrailingPattern()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutleadingNtrailingPattern </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>search_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>pattern</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d2bb888b17259ef2c9d363504c742db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d2bb888b17259ef2c9d363504c742db">&#9670;&nbsp;</a></span>getDenominatorOrNumerator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::string,std::vector&lt;std::string&gt; &gt; getDenominatorOrNumerator </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>MDX_methimpl</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_cgraph" id="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,219,57"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="267,5,489,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="273,56,483,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="549,5,621,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="537,56,632,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_icgraph" id="search_path_utilities_8hpp_a2d2bb888b17259ef2c9d363504c742db_icgraph">
<area shape="rect" title=" " alt="" coords="679,5,892,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a22aa9d16f96c6693a4997b3c37d9c134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22aa9d16f96c6693a4997b3c37d9c134">&#9670;&nbsp;</a></span>getElementOfJSONAppendedDoc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getElementOfJSONAppendedDoc </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>JSONDocs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_cgraph" id="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,240,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="288,5,383,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_icgraph" id="search_path_utilities_8hpp_a22aa9d16f96c6693a4997b3c37d9c134_icgraph">
<area shape="rect" title=" " alt="" coords="413,5,648,32"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="207,5,365,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a38a14ece7625a78b944e2fcdf17ef45b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38a14ece7625a78b944e2fcdf17ef45b">&#9670;&nbsp;</a></span>getElementOfJSONArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getElementOfJSONArray </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>JSONarray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_cgraph" id="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,184,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="232,5,327,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_icgraph" id="search_path_utilities_8hpp_a38a14ece7625a78b944e2fcdf17ef45b_icgraph">
<area shape="rect" title=" " alt="" coords="436,56,615,83"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="207,5,388,32"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="218,56,377,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,81,159,108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,81,60,108"/>
</map>
</div>

</div>
</div>
<a id="a5b17eb6620c1c79a216b45cb08364b20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b17eb6620c1c79a216b45cb08364b20">&#9670;&nbsp;</a></span>getElementOfJSONChainedDoc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;std::string,std::string&gt; &gt; getElementOfJSONChainedDoc </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>JSONDocs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_cgraph" id="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,228,57"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="287,5,359,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="276,56,371,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_icgraph" id="search_path_utilities_8hpp_a5b17eb6620c1c79a216b45cb08364b20_icgraph">
<area shape="rect" title=" " alt="" coords="940,56,1163,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="679,5,892,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="702,56,869,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="729,107,842,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,56,631,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,56,401,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,56,159,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,56,60,83"/>
</map>
</div>

</div>
</div>
<a id="a7ea64e50cd40d9c0b921a481e718740f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ea64e50cd40d9c0b921a481e718740f">&#9670;&nbsp;</a></span>getElementPairsOfJSONArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;std::string,std::string&gt; &gt; getElementPairsOfJSONArray </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>JSONarray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_cgraph" id="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,216,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="264,5,359,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_icgraph" id="search_path_utilities_8hpp_a7ea64e50cd40d9c0b921a481e718740f_icgraph">
<area shape="rect" title=" " alt="" coords="940,56,1151,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="679,5,892,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="702,56,869,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="729,107,842,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,56,631,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,56,401,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,56,159,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,56,60,83"/>
</map>
</div>

</div>
</div>
<a id="a35040d624bbaf96a0baf54d0fffd1f8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35040d624bbaf96a0baf54d0fffd1f8b">&#9670;&nbsp;</a></span>getIdentificationOfObj()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structident__type.html">ident_type</a> getIdentificationOfObj </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt;&#160;</td>
          <td class="paramname"><em>val_inner_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extract the precise ID of the current variable</p>
<p>Extract SW-VARIABLE identifier - this ID stands for a set of variables</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a35040d624bbaf96a0baf54d0fffd1f8b_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a35040d624bbaf96a0baf54d0fffd1f8b_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a35040d624bbaf96a0baf54d0fffd1f8b_icgraph" id="search_path_utilities_8hpp_a35040d624bbaf96a0baf54d0fffd1f8b_icgraph">
<area shape="rect" title=" " alt="" coords="893,5,1059,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="679,5,845,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a3a886e5cb3ce1bb6064aeac57f547f72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a886e5cb3ce1bb6064aeac57f547f72">&#9670;&nbsp;</a></span>getIdentificationStruct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structident__type.html">ident_type</a> getIdentificationStruct </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>cur_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read JSON elements</p>
<p>Extract hierarchy elements</p>
<p>Iterate over all hierarchy elements</p>
<p>Extract feature identifier</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_cgraph" id="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,172,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="220,5,443,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="226,56,437,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b" title=" " alt="" coords="249,107,414,133"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="502,5,574,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="491,56,585,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_icgraph" id="search_path_utilities_8hpp_a3a886e5cb3ce1bb6064aeac57f547f72_icgraph">
<area shape="rect" title=" " alt="" coords="679,5,845,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a8053480525c9fdca9d9feabaf252b90c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8053480525c9fdca9d9feabaf252b90c">&#9670;&nbsp;</a></span>getSWUnitRef()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string getSWUnitRef </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>MDX_methimpl</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_cgraph.png" border="0" usemap="#search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_cgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_cgraph" id="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,119,57"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="167,5,389,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="173,56,383,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="449,5,521,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="437,56,532,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_icgraph" id="search_path_utilities_8hpp_a8053480525c9fdca9d9feabaf252b90c_icgraph">
<area shape="rect" title=" " alt="" coords="679,5,792,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a4f05a8edd34e9bcd7e5ad6574dfb1747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f05a8edd34e9bcd7e5ad6574dfb1747">&#9670;&nbsp;</a></span>isSpace()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool isSpace </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a4f05a8edd34e9bcd7e5ad6574dfb1747_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a4f05a8edd34e9bcd7e5ad6574dfb1747_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a4f05a8edd34e9bcd7e5ad6574dfb1747_icgraph" id="search_path_utilities_8hpp_a4f05a8edd34e9bcd7e5ad6574dfb1747_icgraph">
<area shape="rect" title=" " alt="" coords="1211,56,1283,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="940,56,1163,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="679,5,892,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="702,56,869,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="729,107,842,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,56,631,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,56,401,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,56,159,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,56,60,83"/>
</map>
</div>

</div>
</div>
<a id="a65385cf4429f17bcbd1f4e78c4d50259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65385cf4429f17bcbd1f4e78c4d50259">&#9670;&nbsp;</a></span>replaceString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string replaceString </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>search_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>origin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>replacement</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_a65385cf4429f17bcbd1f4e78c4d50259_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_a65385cf4429f17bcbd1f4e78c4d50259_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_a65385cf4429f17bcbd1f4e78c4d50259_icgraph" id="search_path_utilities_8hpp_a65385cf4429f17bcbd1f4e78c4d50259_icgraph">
<area shape="rect" title=" " alt="" coords="419,56,527,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48" title=" " alt="" coords="213,5,364,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4" title=" " alt="" coords="207,56,371,83"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="209,107,368,133"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,56,159,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,56,60,83"/>
</map>
</div>

</div>
</div>
<a id="ac3caf8cc2926982436bf403dc2acec8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3caf8cc2926982436bf403dc2acec8a">&#9670;&nbsp;</a></span>splitTokens()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void splitTokens </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>cont</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>delim</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="search_path_utilities_8hpp_ac3caf8cc2926982436bf403dc2acec8a_icgraph.png" border="0" usemap="#search_path_utilities_8hpp_ac3caf8cc2926982436bf403dc2acec8a_icgraph" alt=""/></div>
<map name="search_path_utilities_8hpp_ac3caf8cc2926982436bf403dc2acec8a_icgraph" id="search_path_utilities_8hpp_ac3caf8cc2926982436bf403dc2acec8a_icgraph">
<area shape="rect" title=" " alt="" coords="1240,170,1335,197"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a05bc4046e38ba530ba7c938105aed5a4" title=" " alt="" coords="983,119,1166,146"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd" title=" " alt="" coords="449,69,648,95"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6eaa9e7803d69414d32130fee3c26789" title=" " alt="" coords="997,69,1152,95"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134" title=" " alt="" coords="957,170,1192,197"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b" title=" " alt="" coords="985,221,1164,247"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="963,322,1186,349"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="969,271,1180,298"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17" title=" " alt="" coords="705,69,901,95"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="723,119,882,146"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,170,159,197"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,170,60,197"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="712,221,893,247"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="696,271,909,298"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="719,322,886,349"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="746,373,859,399"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="458,297,639,323"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,271,401,298"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
